Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684742 - [3.11] Installation failed on RHEL Atomic Host
Summary: [3.11] Installation failed on RHEL Atomic Host
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.11.z
Assignee: Patrick Dillon
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-02 02:21 UTC by Weihua Meng
Modified: 2019-03-14 02:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: new code that was added to the iscsi storage plugins playbook did not include conditionals to not run with a containerized install, like the rest of the playbook. Consequence: /etc/multipath.conf could not be found when running on an atomic host install because the earlier play to create that file was skipped. Atomic installs would fail. Fix: Skip the entire iscsi playbook when running on atomic host. Result: Atomic installs succeed.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0407 None None None 2019-03-14 02:18:01 UTC

Description Weihua Meng 2019-03-02 02:21:17 UTC
Description of problem:
Installation failed on RHEL Atomic Host
Install success on RHEL

Version-Release number of the following components:
openshift-ansible-3.11.90

How reproducible:
Always

Steps to Reproduce:
1. install OCP 3.11 on RHEL Atomic Host

Actual results:
Installation failed.

TASK [openshift_node : Template multipath configuration] ***********************
Friday 01 March 2019  19:59:37 +0800 (0:00:00.208)       0:04:28.068 ********** 
skipping: [qe-wmeng01ah5ug311-master-etcd-1.0301-2pr.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}
skipping: [qe-wmeng01ah5ug311-nrr-1.0301-2pr.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}
skipping: [qe-wmeng01ah5ug311-node-1.0301-2pr.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}

TASK [openshift_node : Check devices section present] **************************
Friday 01 March 2019  19:59:37 +0800 (0:00:00.173)       0:04:28.241 ********** 
changed: [qe-wmeng01ah5ug311-nrr-1.0301-2pr.qe.rhcloud.com] => {"changed": true, "cmd": ["grep", "-e", "^devices {", "/etc/multipath.conf"], "delta": "0:00:00.004634", "end": "2019-03-01 12:04:03.421165", "failed_when_result": false, "msg": "non-zero return code", "rc": 2, "start": "2019-03-01 12:04:03.416531", "stderr": "grep: /etc/multipath.conf: No such file or directory", "stderr_lines": ["grep: /etc/multipath.conf: No such file or directory"], "stdout": "", "stdout_lines": []}
changed: [qe-wmeng01ah5ug311-node-1.0301-2pr.qe.rhcloud.com] => {"changed": true, "cmd": ["grep", "-e", "^devices {", "/etc/multipath.conf"], "delta": "0:00:00.004903", "end": "2019-03-01 12:04:03.536559", "failed_when_result": false, "msg": "non-zero return code", "rc": 2, "start": "2019-03-01 12:04:03.531656", "stderr": "grep: /etc/multipath.conf: No such file or directory", "stderr_lines": ["grep: /etc/multipath.conf: No such file or directory"], "stdout": "", "stdout_lines": []}
changed: [qe-wmeng01ah5ug311-master-etcd-1.0301-2pr.qe.rhcloud.com] => {"changed": true, "cmd": ["grep", "-e", "^devices {", "/etc/multipath.conf"], "delta": "0:00:01.006405", "end": "2019-03-01 12:04:04.416973", "failed_when_result": false, "msg": "non-zero return code", "rc": 2, "start": "2019-03-01 12:04:03.410568", "stderr": "grep: /etc/multipath.conf: No such file or directory", "stderr_lines": ["grep: /etc/multipath.conf: No such file or directory"], "stdout": "", "stdout_lines": []}

TASK [openshift_node : Add devices section] ************************************
Friday 01 March 2019  19:59:39 +0800 (0:00:01.666)       0:04:29.908 ********** 
skipping: [qe-wmeng01ah5ug311-master-etcd-1.0301-2pr.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}
skipping: [qe-wmeng01ah5ug311-nrr-1.0301-2pr.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}
skipping: [qe-wmeng01ah5ug311-node-1.0301-2pr.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}

TASK [openshift_node : Add LIO-ORG in MultiPath configuration] *****************
Friday 01 March 2019  19:59:39 +0800 (0:00:00.175)       0:04:30.084 ********** 
fatal: [qe-wmeng01ah5ug311-nrr-1.0301-2pr.qe.rhcloud.com]: FAILED! => {"changed": false, "msg": "Path /etc/multipath.conf does not exist !", "rc": 257}
fatal: [qe-wmeng01ah5ug311-master-etcd-1.0301-2pr.qe.rhcloud.com]: FAILED! => {"changed": false, "msg": "Path /etc/multipath.conf does not exist !", "rc": 257}
fatal: [qe-wmeng01ah5ug311-node-1.0301-2pr.qe.rhcloud.com]: FAILED! => {"changed": false, "msg": "Path /etc/multipath.conf does not exist !", "rc": 257}

Expected results:
Installation success

Comment 2 Scott Dodson 2019-03-04 16:37:25 UTC
https://github.com/openshift/openshift-ansible/pull/11153 is the PR that introduced this regression.

Comment 3 Saravanakumar 2019-03-05 06:47:06 UTC
PR posted upstream:

https://github.com/openshift/openshift-ansible/pull/11288

Comment 4 Patrick Dillon 2019-03-05 20:33:41 UTC
PR in addition to upstream PR: https://github.com/openshift/openshift-ansible/pull/11301

Comment 5 Weihua Meng 2019-03-07 01:28:47 UTC
Fixed.

openshift-ansible-3.11.92-1.git.0.f2fade7.el7


Note You need to log in before you can comment on or make changes to this bug.